hddb_search_t Struct Reference
Implementation internals » Hardware DB (HDDB)

Hardware DB search struct. More...

## Data Fields

hddb_entry_mask_t | key
hddb_entry_mask_t | value
hddb_entry_mask_t | value_mask [he_nomask]
hd_id_t | bus
hd_id_t | base_class
hd_id_t | sub_class
hd_id_t | prog_if
hd_id_t | vendor
hd_id_t | device
hd_id_t | sub_vendor
hd_id_t | sub_device
hd_id_t | revision
hd_id_t | cu_model
char * | serial
str_list_t * | driver
char *unsigned | hwclass

## Detailed Description

Hardware DB search struct.

Note
  except for driver, all strings are static and must not be freed

## Field Documentation

## base_class

hd_id_t hddb_search_t::base_class

Referenced by compare_ids(), complete_ids(), device_class(), hddb_add_info(), and sub_device_class().

## bus

hd_id_t hddb_search_t::bus

Referenced by compare_ids(), complete_ids(), and hddb_add_info().

## cu_model

hd_id_t hddb_search_t::cu_model

Referenced by compare_ids(), complete_ids(), and hddb_add_info().

## device

hd_id_t hddb_search_t::device

Referenced by compare_ids(), complete_ids(), device_class(), hddb_add_info(), and sub_device_class().

## driver

str_list_t* hddb_search_t::driver

Referenced by complete_ids(), hddb_add_info(), and hddb_to_device_driver().

## hwclass

char* unsigned hddb_search_t::hwclass

Referenced by complete_ids(), and hddb_add_info().

## key

hddb_entry_mask_t hddb_search_t::key

Referenced by device_class(), hddb_add_info(), hddb_search(), and sub_device_class().

## prog_if

hd_id_t hddb_search_t::prog_if

Referenced by compare_ids(), complete_ids(), and hddb_add_info().

## revision

hd_id_t hddb_search_t::revision

Referenced by compare_ids(), complete_ids(), and hddb_add_info().

## serial

char* hddb_search_t::serial

Referenced by compare_ids(), complete_ids(), and hddb_add_info().

## sub_class

hd_id_t hddb_search_t::sub_class

Referenced by compare_ids(), complete_ids(), device_class(), hddb_add_info(), and sub_device_class().

## sub_device

hd_id_t hddb_search_t::sub_device

Referenced by compare_ids(), complete_ids(), hddb_add_info(), and sub_device_class().

## sub_vendor

hd_id_t hddb_search_t::sub_vendor

Referenced by compare_ids(), complete_ids(), hddb_add_info(), and sub_device_class().

## value

hddb_entry_mask_t hddb_search_t::value

Referenced by complete_ids(), device_class(), hddb_add_info(), hddb_search(), and sub_device_class().

## value_mask

hddb_entry_mask_t hddb_search_t::value_mask[he_nomask]

Referenced by complete_ids(), and hddb_search().

## vendor

hd_id_t hddb_search_t::vendor

Referenced by compare_ids(), complete_ids(), device_class(), hddb_add_info(), and sub_device_class().

The documentation for this struct was generated from the following file:

- hddb.c